aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/internal_ci/macos
diff options
context:
space:
mode:
authorGravatar Jan Tattermusch <jtattermusch@google.com>2017-07-26 19:18:48 +0200
committerGravatar Jan Tattermusch <jtattermusch@google.com>2017-07-26 19:18:48 +0200
commit7b538dda77ec85181d057a5a9c41c84b0e0cf988 (patch)
tree48c6f0d1abcf2d833e1ccc76b485d27701e39d93 /tools/internal_ci/macos
parent738a76656cc53edb4715117d63da87c53767fa1a (diff)
grpc_basictests for mac
Diffstat (limited to 'tools/internal_ci/macos')
-rw-r--r--tools/internal_ci/macos/grpc_basictests.cfg30
-rwxr-xr-xtools/internal_ci/macos/grpc_run_tests_matrix.sh31
2 files changed, 61 insertions, 0 deletions
diff --git a/tools/internal_ci/macos/grpc_basictests.cfg b/tools/internal_ci/macos/grpc_basictests.cfg
new file mode 100644
index 0000000000..ce3609c9ec
--- /dev/null
+++ b/tools/internal_ci/macos/grpc_basictests.cfg
@@ -0,0 +1,30 @@
+# Copyright 2017 gRPC authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Config file for the internal CI (in protobuf text format)
+
+# Location of the continuous shell script in repository.
+build_file: "grpc/tools/internal_ci/macos/grpc_run_tests_matrix.sh"
+timeout_mins: 240
+action {
+ define_artifacts {
+ regex: "**/*sponge_log.xml"
+ regex: "github/grpc/reports/**"
+ }
+}
+
+env_vars {
+ key: "RUN_TESTS_FLAGS"
+ value: "-f basictests macos --internal_ci -j 2 --inner_jobs 4"
+}
diff --git a/tools/internal_ci/macos/grpc_run_tests_matrix.sh b/tools/internal_ci/macos/grpc_run_tests_matrix.sh
new file mode 100755
index 0000000000..9a43e4869b
--- /dev/null
+++ b/tools/internal_ci/macos/grpc_run_tests_matrix.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+# Copyright 2017 gRPC authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -ex
+
+# change to grpc repo root
+cd $(dirname $0)/../../..
+
+source tools/internal_ci/helper_scripts/prepare_build_macos_rc
+
+tools/run_tests/run_tests_matrix.py $RUN_TESTS_FLAGS || FAILED="true"
+
+# kill port_server.py to prevent the build from hanging
+ps aux | grep port_server\\.py | awk '{print $2}' | xargs kill -9
+
+if [ "$FAILED" != "" ]
+then
+ exit 1
+fi